Nie jest dziwne że zmiany w GG10 już się zaczęły, a tym samym znikły awatary z kontaktów GG w programie Pidgin.
Na http://www.ubucentrum.net pojawił sie wpis:
Obsługa avatarów w Gadu-Gadu na Pidginie

Tak, po wgraniu aktualizacji z podanego repozytorium awatary a Pidgin w protokole GG wróciły 🙂
Ale wolę jednak paczki z repo pidgin: pidgin-developers, na których sie nie zawiodłem.

Sposób aktualizacji jest prosty i użyteczny przy kolejnych wydaniach Pidgin-a, jeśli nie naprawią błędu, lub nie dokonają zmian w protokole GG (np. naprawa wysyłania plików i zdjęć).
———————–

ROBISZ TO NA WŁASNĄ ODPOWIEDZIALNOŚĆ !!!!
PODANE pliki (jak i oryginalne paczki z repozytoriów!!) POWODUJĄ BŁĄD W ODBIERANIU WIADOMOŚCI OD: Kadu!!!!!! jeśli masz włączone szyfrowanie rozmów w kadu 🙂


Błąd leży pod stronie Pidgin-a i paczek libpurple0, ponieważ powyższy błąd nie występuje przy wcześniejszej wersji (sprawdzone).

Pidgin 2.6.5, problem nie występuje w komunikacji z:

>> tlen linux
>> GG8.
Nie zostało to sprawdzone z innymi komunikatorami np. GG10.
——————–
Zdecydowany? 🙂 No to do dzieła, zawsze możesz przeinstalować obecne paczki i wszystko wróci do normy.
Ściągamy ten plik (pliki posiadają różną wielkość, przy różnych architekturach systemu):
— dla wersji 64 bit: libgg.so
— dla wersji 32 bit: libgg.so
Paczkę 32 bit trzeba rozpakować…
Eksperymentalnie podaje libgg.so, z Pidgin 2.6.6 dev, która obsługuje awatary z GG, oraz nie zauważyłem, aby przy rozmowach z osoba posiadającymi różne wersję GG, pojawił mi się choć raz komunikat o starej wersji GG.
Pochodzi on z paczki libpurple0_2.6.5 z repo podanego przez ubucentrum.net
Zależnie gdzie ściągnęliśmy dany plik kopiujemy go do katalogu: /usr/lib/purple-2
np. jeśli mamy go na pulpicie, to:
sudo cp /home/[nazwa konta]/Desktop/libgg.so /usr/lib/purple-2
lub przekopiowanie pliku przez nautilus-a:
w terminalu: sudo nautilus i tylko w oknie, które się otwarło: skopiowanie danego pliku we wskazane miejsce (podane wyżej).

Chodzi o zastąpienie tylko jednego pliku a nie całej paczki, co moim zdaniem jest lepsze 🙂
Uruchamiamy Pidgin, u mnie awatary lub jak kto woli avatary powróciły.

Należą się podziękowania Andrea Piccinelli, za zmiany, które pomogły polskim użytkownikom Pidgin 🙂

—————-
Jeśli zaobserwujesz błędy w odbieraniu wiadomości w oknie rozmowy, napisz o tym w komentarzu. Niech inni też o tym wiedzą…

INFO:

Pidgin i awatary do GG, to dlaczego to nie działa??

— AKTUALIZACJA —
W obecnym wydaniu Pidgin, wszystko działa poprawnie 🙂

Reklamy

7 myśli na temat “awatary (avatary) GG w Pidgin

  1. hej! miło, że ktoś stara się poprawić współpracę z protokołem gg w Pidginie (pokochałem go m.in. za minimalizm, aczkolwiek ma wielkie możliwości dzięki wtyczkom).
    skorzystałem z repo proponowanego na ubucentrum.net. rzeczywiście awatary wróciły. jednak wyszła aktualizacja w PPA develowerskim Pidgina i aktualizowałem. skorzystałem zatem z pliku, który udostępniłeś na dropboxie. awatary działają. fajnie. ale nie do końca…
    … miałem od początku przygód z Karmic Koalą problemy z dźwiękiem. poczytałem i udało się sprawę załatwić. w Pidginie musiałem zmienić w ustawieniach dźwięku „metodę” z „Automatycznie” na „ALSA”. ustawienie tego pierwszego powodowało jakieś pykania/pierdnięcia, itp. zmiana przywróciła stan dobry. ale do sedna. po wprowadzeniu zmian w postaci biblioteki libgg.so okazało się, że Pidgin się „krztusi” dźwiękami, jakie chce odtwarzać podczas pojawiania się kontaktu, czy dojścia wiadomości. Krztusi się, gdy w tle uruchomiony jest inny program odtwarzający muzykę (muza u mnie leci całymi dniami, czy to radio, czy cokolwiek innego). no, ale nie każdy program do muzy powoduje „zator” u Pidgina. u mnie jest to foobar2000, z którego korzystam pod WINE. WINE korzysta z ALSA z tego co mi wiadomo. możliwe, że dlatego Pidgin „nie wydaje” dźwięków, tylko je w sobie „gromadzi”. objawia się to tym, że Pidgin zaczyna obciążać procesor (oba rdzenie) w 100-u procentach. pomaga wyłączenie foobar2000 i wtedy z Pidgina, niczym wymiociny, wylatują wszystkie dotychczas stłoczone dźwięki (brzmi to okropnie!). błąd ten występował też przy użyciu paczek z repo proponowanym na ubucentrum.net. dlatego mam wrażenie, że to właśnie zmieniona biblioteka libgg.so powoduje kłopoty z wydobywaniem dźwięków z Pidgina.
    mam nadzieję, że dość jasno opisałem zjawisko. co do foobar2000, to się po prostu uzależniłem. nic nie poradzę. zauroczył mnie od początku, gdy go zainstalowałem jeszcze na winxp zamiast winampa. oczarował mnie jego rozbudowany equalizer. czar jak widać trwa do tej pory. nie zdarzył się jeszcze książę (program do muzyki), który by ten urok zdjął 😉
    Pozdrawiam i oczywiście dziękuję za info na temat przywracania awatarów w gg. pomyślę jeszcze nad tym. mam nadzieję, że nie tylko ja.

    Polubienie

  2. Wina, prawdopodobnie, nie leży po stronie Pidgin ,ale ALSA. W Ubuntu 10.04 są już jej nowa wersja, która poprawia masę rzeczy. Ubuntu wymusza też instalację PulseAudio co też wiele psuje, lub naprawia.
    A twój problem jest mi znany, z powodu że miałem podobny, ale z skype. Kiedy słuchałem muzyki na rhythymbox-ie, włączony skype nie wykazywał żadnych dźwięków, nie mówiąc o tym, że jeśli ktoś dzwonił nie słyszałem tego. Program muzyczny blokował wszystkie inne dźwieki, nawet te w youtube w przeglądarce Firefox. Problem rozwiązał się po szybkim przejściu paczki z Ubuntu lucid 10.04 i aktualizacji PulseAudio i Alsa. Inaczej dostawałem szały rozmawiając na skype i nie mogąc wyszukać na stronie Youtube teledysku aby sprawdzić czy to to, bo dźwięk był blokowany.

    Polubienie

  3. mam dodane repo https://launchpad.net/~ubuntu-audio-dev/+archive/ppa , jednak z pakietu linux-alsa-driver-modules-2.6.31 nie korzystam. nie był on domyślnie w U9.10, więc go nie dodawałem. aktualizuję jedynie pulseaudio. miałem już dodać pakiet linux-alsa-driver-modules-2.6.31, ale się chwilkę wstrzymałem, bo zauważyłem, że na getdeb jest aktualizacja do nowego Pidgina. postanowiłem zainstalować, choć to pewnie to samo. oczywiście podmieniłem plik libgg.so. uruchamiam, awatary się wczytują. czekam chwilkę na jakiegoś ciecia, żeby się pojawił a wraz z nim dźwięk. odziwo jest dźwięk, gdy w tle pracuje foobar2000 i oczywiście odgrywa nutę. postanowiłem jednak zainstalować wersję z PPA Pidgina. tutaj mała uwaga: dziwi mnie, że w Synapticu Pidgin z getdeb jest pokazywany jako nowszy od tego z oficjalnego PPA Pidgina. pewnie to sprawka tej końcówki przy oznaczeniu wersji w postaci „-1”, a nie jak przy „normalnym” Pidginie „-0”. ale szczegóły na bok. wymusiłem więc wersję z repo Pidgina i ponownie zainstalowałem. podmieniłem libgg.so i uruchomiłem. znowu poczekałem na jakiegoś aktywnego ciecia z listy znajomych i wszystko okej.
    hmm, nie wiem, nie znam się. może poprzednio coś spartoliłem przy procesie instalacji. od czasu poprzedniego komentarza od teraz działam w tej samej sesji Ubuntu (ani nie wylogowałem, ani nie restartowałem).
    tak się teraz zastanawiam, czy przypadkiem wpis Adriana Nowaka z Ubucentrum.net w postaci:
    „sudo apt-get purge pidgin && sudo apt-get install pidgin”
    nie był może celowy? (chodzi mi o opcję „purge”) może gdzieś po drodze właśnie coś takiego mi „się zrobiło” w Synapticu? sam do tego nie dojdę, brak mi wiedzy (nie wiem co dokładnie ten lubiany przeze mnie menedżer pakietów robi w tle).
    nic to, działa, to się nie przejmujmy. do następnego buga! 😉

    Polubienie

    1. –purge to kasowanie ustawień, to to samo co w synatpic-u kasowanie z ustawieniami. Niby się zaleca całkowite kasowanie w ten sposób komunikaotra i instalowanie go na nowo, obecnie są 4 opcje tego samego komunikatora, jeśli ktoś dodał repo z ubucentrum: te z ubucentrum, oryginalne od Ubuntu (szok, że go aktualizują), w pidgin-dev i getdeb.net. Ale to co pamiętam, nie aktualizuję pakietów na getdeb.net z jednego powodu, w wersji 2.6.1 już była obsługa wideo w gmail, której nie posiadała wersja właśnie z tej strony, kolejne wersje też zostały pozbawione tej możliwości. Nie wiem dlaczego tylko paczki z tego portalu były wybrakowane?? 😦 i nie wiem, jaka jest obecnie teraz sytuacja, ale wolę mieć coś jeśli ten komunikator to potrafi 🙂
      Obecnie posiadam paczki z repo Ubuntu, chyba dla zasady.

      Polubienie

Skomentuj

Wprowadź swoje dane lub kliknij jedną z tych ikon, aby się zalogować:

Logo WordPress.com

Komentujesz korzystając z konta WordPress.com. Wyloguj / Zmień )

Zdjęcie z Twittera

Komentujesz korzystając z konta Twitter. Wyloguj / Zmień )

Zdjęcie na Facebooku

Komentujesz korzystając z konta Facebook. Wyloguj / Zmień )

Zdjęcie na Google+

Komentujesz korzystając z konta Google+. Wyloguj / Zmień )

Connecting to %s